Show / Hide Table of Contents

# Struct MCHGauge

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Dalamud.Game.ClientState.Structs.JobGauge

###### Assembly: Dalamud.dll

##### Syntax

    public struct MCHGauge

### Fields

| Improve this Doc View Source

#### Battery

##### Declaration

    public byte Battery

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Heat

##### Declaration

    public byte Heat

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LastRobotBatteryPower

##### Declaration

    public byte LastRobotBatteryPower

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### OverheatTimeRemaining

##### Declaration

    public short OverheatTimeRemaining

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### RobotTimeRemaining

##### Declaration

    public short RobotTimeRemaining

##### Field Value

Type | Description
--- | ---
System.Int16 |

### Methods

| Improve this Doc View Source

#### IsOverheated()

##### Declaration

    public bool IsOverheated()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsRobotActive()

##### Declaration

    public bool IsRobotActive()

##### Returns

Type | Description
--- | ---
System.Boolean |